org.apache.cassandra.transport.messages

## Class EventMessage

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response
    - - org.apache.cassandra.transport.messages.EventMessage

    public class EventMessage
    extends Message.Response

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

`Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

### Field Summary

Fields
`static Message.Codec<EventMessage>` `codec`
`Event` `event`

### Fields inherited from class org.apache.cassandra.transport.Message.Response

`tracingId, warnings`

### Fields inherited from class org.apache.cassandra.transport.Message

`connection, forcedProtocolVersion, logger, type`

### Constructor Summary

Constructors
Constructor and Description
`EventMessage(Event event)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.transport.Message.Response

`getTracingId, getWarnings, setTracingId, setWarnings`

### Methods inherited from class org.apache.cassandra.transport.Message

`attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### codec

    public static final Message.Codec<EventMessage> codec

#### event

    public final Event event

### Constructor Detail

#### EventMessage

    public EventMessage(Event event)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`